<div class="jumbotron">
  <h1 class="display-4">Solde actuel: {{account.balance | currency : 'EUR'}}</h1>
  <hr class="my-4">
</div>
<div class="container">
  <div class="row">
    <div class="col-sm">
      <div class="card" style="width: 18rem;">
        <img class="card-img-top" src="../assets/10.jpg" alt="Card image cap">
        <div class="card-body">
          <button type="button" class="btn btn-info" (click)="addNewOperation(10)">10 €</button>
        </div>
      </div>
    </div>
    <div class="col-sm">
      <div class="card" style="width: 18rem;">
        <img class="card-img-top" src="../assets/30.jpg" alt="Card image cap">
        <div class="card-body">
          <button type="button" class="btn btn-info" (click)="addNewOperation(30)">30 €</button>
        </div>
      </div>
    </div>
    <div class="col-sm">
      <div class="card" style="width: 18rem;">
        <img class="card-img-top" src="../assets/50.jpg" alt="Card image cap">
        <div class="card-body">
          <button type="button" class="btn btn-info" (click)="addNewOperation(50)">50 €</button>
        </div>
      </div>
    </div>
    <div class="col-sm">
      <div class="card" style="width: 18rem;">
        <img class="card-img-top" src="../assets/70.gif" alt="Card image cap">
        <div class="card-body">
          <button type="button" class="btn btn-info" (click)="addNewOperation(70)">70 €</button>
        </div>
      </div>
    </div>
    <div class="col-sm">
      <div class="card" style="width: 18rem;">
        <img class="card-img-top" src="../assets/100.jpg" alt="Card image cap">
        <div class="card-body">
          <button type="button" class="btn btn-info" (click)="addNewOperation(100)">100 €</button>
        </div>
      </div>
    </div>
    <div class="col-sm">
      <div class="card" style="width: 18rem;">
        <img class="card-img-top" src="../assets/euros.jpg" alt="Card image cap">
        <div class="card-body">
          <a type="button" class="btn btn-info" data-toggle="modal" data-target="#exampleModal">Autre montant</a>
        </div>
      </div>
    </div>
  </div>
</div>
<!-- Modal -->
<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
     aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Retirer de l'argent</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <div class="input-group mb-3">
          <div class="input-group-prepend">
            <span class="input-group-text">Montant</span>
          </div>
          <input type="number" maxlength = "6" class="form-control" aria-label="Amount (to the nearest dollar)" [(ngModel)]="operation.amount" value="{{operation.amount}}">
          <div class="input-group-append">
            <span class="input-group-text">€</span>
          </div>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Annuler</button>
        <button type="button" class="btn btn-primary" (click)="createOperation(operation)">Confirmer</button>
      </div>
    </div>
  </div>
</div>
<button type="button" class="btn btn-warning" (click)="backHome()">Retour</button>
